<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    android:clipToPadding="true"
    android:fitsSystemWindows="true"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/play_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_alignParentBottom="true"
        android:background="@mipmap/back">

        <SurfaceView
            android:id="@+id/surface_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <TextView
            android:id="@+id/time_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:textColor="@color/white"
            android:textSize="25sp" />

        <!-- 左上角操作按钮-->
        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentTop="true"
            android:layout_marginLeft="5dp"
            android:layout_marginTop="5dp"
            android:orientation="vertical">
            <!-- 模型校验 -->
            <Button
                android:id="@+id/check_model_btn"
                android:layout_width="120dp"
                android:layout_height="40dp"
                android:layout_marginBottom="5dp"
                android:background="@drawable/btn_press_selector"
                android:text="@string/play_check_model_txt"
                android:textColor="@color/white"
                android:visibility="gone" />
            <!-- 版本信息-->
            <TextView
                android:id="@+id/sdk_info"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text=""
                android:textSize="10sp" />
        </LinearLayout>

        <!-- 右侧侧操作按钮-->
        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true"
            android:layout_alignParentRight="true"
            android:layout_marginTop="5dp"
            android:layout_marginEnd="5dp"
            android:orientation="vertical">
            <!-- 播放本地pcm -->
            <Button
                android:id="@+id/play_mode_btn"
                android:layout_width="120dp"
                android:layout_height="40dp"
                android:layout_marginBottom="5dp"
                android:background="@drawable/btn_press_selector"
                android:text="@string/play_mode_txt"
                android:textColor="@color/white" />
        </LinearLayout>

        <!-- 左侧操作按钮,普通模式-->
        <LinearLayout
            android:id="@+id/lllayou_left_play_comm"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentBottom="true"
            android:layout_marginStart="5dp"
            android:layout_marginBottom="5dp"
            android:orientation="vertical">
            <!-- 播放本地pcm -->
            <Button
                android:id="@+id/play_long_txt"
                android:layout_width="120dp"
                android:layout_height="40dp"
                android:layout_marginBottom="5dp"
                android:background="@drawable/btn_press_selector"
                android:text="@string/play_long_txt"
                android:textColor="@color/white" />
            <!-- 播放txt，云端方式 -->
            <Button
                android:id="@+id/play_text"
                android:layout_width="120dp"
                android:layout_height="40dp"
                android:layout_marginBottom="5dp"
                android:background="@drawable/btn_press_selector"
                android:text="@string/play_short_txt"
                android:textColor="@color/white" />
            <!-- 播放本地pcm -->
            <Button
                android:id="@+id/play_pcm_file"
                android:layout_width="120dp"
                android:layout_height="40dp"
                android:background="@drawable/btn_press_selector"
                android:text="@string/play_local_pcm"
                android:textColor="@color/white" />
        </LinearLayout>


        <Button
            android:id="@+id/btn_update_tts"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_alignParentTop="true"
            android:layout_marginTop="70dp"
            android:textSize="16dp"
            android:textColor="@color/black"
            android:text="更新tts参数" />


        <!-- 左侧操作按钮,流式模式-->
        <LinearLayout
            android:id="@+id/lllayou_left_play_flow"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentBottom="true"
            android:layout_marginEnd="5dp"
            android:layout_marginBottom="5dp"
            android:orientation="vertical"
            android:visibility="gone">
            <!-- 流式播放开始 -->
            <Button
                android:id="@+id/play_flow_start_btn"
                android:layout_width="120dp"
                android:layout_height="40dp"
                android:layout_marginBottom="5dp"
                android:background="@drawable/btn_press_selector"
                android:text="@string/play_flow_start"
                android:textColor="@color/white" />
            <!-- 流式播放开始 -->
            <Button
                android:id="@+id/play_flow_pcm_btn"
                android:layout_width="120dp"
                android:layout_height="40dp"
                android:layout_marginBottom="5dp"
                android:background="@drawable/btn_press_selector"
                android:text="@string/play_flow_pcm"
                android:textColor="@color/white" />
            <!-- 流式播放开始 -->
            <Button
                android:id="@+id/play_flow_txt_btn"
                android:layout_width="120dp"
                android:layout_height="40dp"
                android:background="@drawable/btn_press_selector"
                android:text="@string/play_flow_txt"
                android:textColor="@color/white" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="500dp"
            android:orientation="vertical"
            android:visibility="gone">

            <SeekBar
                android:id="@+id/seekBar_volume"
                android:layout_width="200dp"
                android:layout_height="40dp" />

        </LinearLayout>


        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginEnd="5dp"
            android:layout_marginBottom="5dp"
            android:orientation="vertical">
            <!-- 切换数字人形象 -->
            <Button
                android:id="@+id/change_virtual_character"
                android:layout_width="90dp"
                android:layout_height="40dp"
                android:layout_marginBottom="5dp"
                android:background="@drawable/btn_press_selector"
                android:text="@string/play_change_character"
                android:textColor="@color/white" />

            <!-- 暂停继续操作 -->
            <Button
                android:id="@+id/play_pause_resume"
                android:layout_width="90dp"
                android:layout_height="40dp"
                android:layout_alignParentBottom="true"
                android:layout_centerHorizontal="true"
                android:layout_marginBottom="5dp"
                android:background="@drawable/btn_press_selector"
                android:text="@string/play_pause_txt"
                android:textColor="@color/white" />
            <!-- 播放txt，打断操作 -->
            <Button
                android:id="@+id/recognize_interrupted"
                android:layout_width="90dp"
                android:layout_height="40dp"
                android:layout_alignParentBottom="true"
                android:layout_centerHorizontal="true"
                android:background="@drawable/btn_press_selector"
                android:text="@string/play_interrupt_txt"
                android:textColor="@color/white" />
        </LinearLayout>

        <!-- 右侧操作按钮-->
        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_alignParentBottom="true"
            android:layout_marginEnd="5dp"
            android:layout_marginBottom="5dp"
            android:orientation="vertical">

            <!-- 开始插播 -->
            <Button
                android:id="@+id/play_insert_start_btn"
                android:layout_width="120dp"
                android:layout_height="40dp"
                android:layout_marginBottom="5dp"
                android:background="@drawable/btn_press_selector"
                android:text="@string/play_insert_start_txt"
                android:textColor="@color/white" />
            <!-- 插入播放pcm，本地方式 -->
            <Button
                android:id="@+id/play_insert_pcm_btn"
                android:layout_width="120dp"
                android:layout_height="40dp"
                android:layout_marginBottom="5dp"
                android:background="@drawable/btn_press_selector"
                android:text="@string/play_insert_pcm"
                android:textColor="@color/white" />
            <!-- 插入播放txt，云端方式 -->
            <Button
                android:id="@+id/play_insert_txt_btn"
                android:layout_width="120dp"
                android:layout_height="40dp"
                android:layout_marginBottom="5dp"
                android:background="@drawable/btn_press_selector"
                android:text="@string/play_insert_txt"
                android:textColor="@color/white" />
            <Button
                android:id="@+id/release"
                android:layout_width="120dp"
                android:layout_height="40dp"
                android:background="@drawable/btn_press_selector"
                android:text="能力释放"
                android:textColor="@color/white" />
        </LinearLayout>


    </RelativeLayout>

    <LinearLayout
        android:id="@+id/show_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="150dp">

        <TextView
            android:id="@+id/nlp_result_tv"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_weight="1"
            android:textSize="12dp" />
    </LinearLayout>
</RelativeLayout>